> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get booking settings

> Get the booking settings for an organisation



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml get /v1/organisations/{organisationId}/booking-settings
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/organisations/{organisationId}/booking-settings:
    get:
      tags:
        - Booking Settings
      summary: Get booking settings
      description: Get the booking settings for an organisation
      operationId: BookingSettingsController_get
      parameters:
        - name: organisationId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BookingSettings'
components:
  schemas:
    BookingSettings:
      type: object
      properties:
        notesEnabled:
          type: boolean
          description: True if clients can add notes to the booking
          example: true
        cancellationFeeAmount:
          type: number
          nullable: true
          description: The amount to charge for missed appointments
          example: 100
        cancellationFeePercent:
          type: number
          nullable: true
          description: >-
            The percentage of the service price to charge for missed
            appointments
          example: 10
        cancellationFeeEnabled:
          type: boolean
          description: True if clients will be charged for missed appointments
          example: true
        cancellationNoFeeBeforeHours:
          type: number
          description: The number of hours before the appointment to cancel without a fee
          example: 24
        cancellationFeeAutoChargeEnabled:
          type: boolean
          description: True if clients will be charged for missed appointments
          example: true
        paymentDetailsRequired:
          type: boolean
          description: True if clients must provide payment details in the booking form
          example: true
        bookingNotificationsEnabled:
          type: boolean
          description: >-
            True if booking notifications (confirmations, reminders,
            andcancellations) are enabled
          example: true
        providerBookingNotificationsEnabled:
          type: boolean
          description: >-
            True if provider booking notifications (confirmations, reminders,
            andcancellations) are enabled
          example: true
        googleTagManagerContainerId:
          type: string
          description: The Google Tag Manager container ID used to track events
          example: GTM-123456
        healthFundCardCollectionEnabled:
          type: boolean
          description: True if health fund card collection is enabled in the booking form
          example: true
        pricesEnabled:
          type: boolean
          description: True if prices should be shown in the booking form
          example: true
          default: true
      required:
        - notesEnabled
        - cancellationFeeEnabled
        - cancellationFeeAutoChargeEnabled
        - paymentDetailsRequired
        - bookingNotificationsEnabled
        - providerBookingNotificationsEnabled
        - healthFundCardCollectionEnabled
        - pricesEnabled

````